import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.MessageFormat;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.SwingUtilities;

public class TextComponentDemo {
      
    private static void constructGUI() {

        // The text are whose content will be printed
        final JTextArea textArea = new JTextArea();
        textArea.setText("To print the content of this text area, "
                + " select File -> Print ");
        JScrollPane jScrollPane = new JScrollPane(textArea);
        // Header and footer on the printed page
        final MessageFormat header = new MessageFormat("My Header"); 
        final MessageFormat footer = new MessageFormat("My Footer");
        
        JMenu menu = new JMenu("File");
        JMenuItem printItem = new JMenuItem("Print");
        printItem.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                try {
                    textArea.print(header, footer, true, null, 
                            null, true);
                } catch (Exception ex) {
                    ex.printStackTrace();
                }
            }
        });
        menu.add(printItem);

        JMenuBar menuBar = new JMenuBar();
        menuBar.add(menu);
               
        JPanel contentPane = new JPanel();
        contentPane.setLayout(new BorderLayout());
        contentPane.add(jScrollPane, BorderLayout.CENTER);

        JFrame frame = new JFrame(); 
        frame.setTitle("Text-component Printing Demo");
        frame.setSize(400, 200);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setJMenuBar(menuBar);         // set menu bar
        frame.setContentPane(contentPane);  // set content pane
        frame.setVisible(true);
    }
    
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}
